aboutsummaryrefslogtreecommitdiffstats
path: root/make/scripts/deploy-jars-sign.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2010-04-28 05:55:38 +0200
committerSven Gothel <[email protected]>2010-04-28 05:55:38 +0200
commite5720ee629fba06bc266265b42eb559150f7d7a3 (patch)
tree767e3da76d48ed46879c1b78a186d1b5d44ca2e2 /make/scripts/deploy-jars-sign.sh
parenta08c3c054a6b9cfe892d2516c66362083dc72290 (diff)
Integrate deployment scripts. jar: copy-repack200-sign-pack200. jnlp: copy-filter
Diffstat (limited to 'make/scripts/deploy-jars-sign.sh')
-rwxr-xr-xmake/scripts/deploy-jars-sign.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/make/scripts/deploy-jars-sign.sh b/make/scripts/deploy-jars-sign.sh
new file mode 100755
index 000000000..1a4421aa9
--- /dev/null
+++ b/make/scripts/deploy-jars-sign.sh
@@ -0,0 +1,47 @@
+#! /bin/sh
+
+wsdir=$1
+shift
+
+keystore=$1
+shift
+
+storepass=$1
+shift
+
+signarg=$1
+shift
+
+if [ -z "$wsdir" -o -z "$keystore" -o -z "$storepass" ] ; then
+ echo "usage $0 webstartdir pkcs12-keystore storepass [signarg]"
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+if [ ! -e $keystore ] ; then
+ echo $keystore does not exist
+ exit 1
+fi
+
+THISDIR=`pwd`
+
+cd $wsdir
+
+rm -rf demo-jars
+mkdir -p demo-jars
+mv jogl.test.jar jogl-demos*jar demo-jars/
+
+for i in *.jar ; do
+ echo jarsigner -storetype pkcs12 -keystore $keystore $i \"$signarg\"
+ jarsigner -storetype pkcs12 -keystore $THISDIR/$keystore -storepass $storepass $i "$signarg"
+done
+
+mv demo-jars/* .
+rm -rf demo-jars
+
+cd $THISDIR
+